org.apache.lucene.benchmark.utils

## Class NoDeletionPolicy

- java.lang.Object
- - org.apache.lucene.benchmark.utils.NoDeletionPolicy

- All Implemented Interfaces:
    org.apache.lucene.index.IndexDeletionPolicy

      public class NoDeletionPolicy
      extends java.lang.Object
      implements org.apache.lucene.index.IndexDeletionPolicy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoDeletionPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCommit(java.util.List commits)`
    `void` | `onInit(java.util.List commits)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoDeletionPolicy

          public NoDeletionPolicy()

  - ### Method Detail

    - #### onCommit

          public void onCommit(java.util.List commits)
                        throws java.io.IOException

      Specified by:
        `onCommit` in interface `org.apache.lucene.index.IndexDeletionPolicy`
      Throws:
        `java.io.IOException`

    - #### onInit

          public void onInit(java.util.List commits)
                      throws java.io.IOException

      Specified by:
        `onInit` in interface `org.apache.lucene.index.IndexDeletionPolicy`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.